﻿using UnityEngine;
using System.Collections;

public class EnemyMovement : MonoBehaviour {

	public Transform patrolOne;
	public Transform patrolTwo;
	public Transform currentPatrolPoint;
	public float speed = 2.0f;

	// Use this for initialization
	void Start () {
		currentPatrolPoint = patrolOne;
	}
	
	// Update is called once per frame
	void Update () {
		MoveEnemy ();
	}

	public void MoveEnemy(){
		transform.position = Vector2.MoveTowards 
			(transform.position, currentPatrolPoint.position, speed * Time.deltaTime);
		//Check distance to patrol point one
		float distanceToPatrolOne = Vector2.Distance 
			(transform.position, patrolOne.position);
		//Check distance to patrol point two
		float distanceToPatrolTwo = Vector2.Distance
			(transform.position, patrolTwo.position);

		Debug.Log ("distance to patrol point is " + distanceToPatrolOne);
		//if distance to patrol 1 is 0 change to patrol 2
		if (distanceToPatrolOne == 0f) {
			currentPatrolPoint = patrolTwo;
		} 
		//if distance to patrol 2 is 0 change to patrol 1
		if (distanceToPatrolTwo == 0f) {
			currentPatrolPoint = patrolOne;
		}

	}
}
